Compositor – SensioDistributionBundle pidiendo una contraseña

Acabo de hacer una Composer install y se bloquea con el siguiente error:

  • Eliminar sensio / distribución-package (v2.1.11)
  • Instalación de sensio / distribution-bundle (v2.1.7) Descargando: connection … No se pudo get https://api.github.com/repos/sensio/SensioDistributionBundle/zip ball / v2.1.7, ingrese sus cnetworkingenciales de GitHub para acceder a privado repos Las cnetworkingenciales se intercambiarán por un token de OAuth almacenado en C: / Users / PC / A ppData / Roaming / Composer / config.json, su contraseña no se almacenará Para revocar el acceso a este token, puede visitar https: // github .com / configuraciones / aplicaciones Nombre de usuario:

Y simplemente no continúa. He hecho algunos google y no tengo respuesta.

¿Alguna idea?

Editar:

Como alguien solicitó, este es el file .lock del compositor. Tenga en count que es enorme: http://pastebin.com/YpqPn0P9

A veces, Github tiene problemas para servir .zip del repository.

Deberías usar php composer.phar install --prefer-source para evitar que "no pueda get …….".

Esta opción le dice al compositor que clone el repository en lugar de intentar download el file.

Si usa demasiado Github desde su dirección IP, en algún momento excederá los límites de acceso anónimos a la API.

Una forma de evitarlo es tener una count Github y autenticarse con sus cnetworkingenciales.

La otra alternativa es esperar hasta que se libere el locking de acceso anónimo.

Bueno, está resuelto ahora.

Decidí eliminar todos los proveedores manualmente y luego realizar una descarga completa de proveedores.

Está resuelto ahora.